## papirus-folder-colors 23.12.04

=== debian/changelog ===
papirus-folder-colors (23.12.04) mx; urgency=medium

  * added changelog and license buttons in about window
  * fixed save theme to /usr/share/icons
  * allow underscores in theme name
  * append -dark to theme name if dark symbols selected

 -- Melber <melber.mx.linux@gmail.com>  Fri, 29 Dec 2023 17:08:01 +0100

papirus-folder-colors (23.12.03) mx; urgency=medium

  * Public Test release
  * Fixed email address

 -- Melber <melber.mx.linux@gmail.com>  Sun, 17 Dec 2023 12:11:01 +0100

papirus-folder-colors (23.12.02) mx; urgency=medium

  * Test release
  * Fixed usr/share management

 -- Melber <melber-mx-linux@gmail.com>  Wed, 13 Dec 2023 23:05:56 +0100

papirus-folder-colors (23.12.01) mx; urgency=medium

  * Initial release.

 -- Melber <melber-mx-linux@gmail.com>  Sun, 03 Dec 2023 14:48:54 +0100

## papirus-folder-colors 24.01.02

=== debian/changelog ===
papirus-folder-colors (24.01.02) mx; urgency=medium

  * updated translations (thank you to all our volunteer translators)

 -- Melber <melber.mx.linux@gmail.com>  Tue, 16 Jan 2024 08:10:01 +0100

papirus-folder-colors (24.01.01) mx; urgency=medium

  * added translations
  * added automatic substitution of space with underscore in new theme names
  * updated pfr and pft icons
  * added translator comments

 -- Melber <melber.mx.linux@gmail.com>  Wed, 10 Jan 2024 23:13:01 +0100

## papirus-folder-colors 25.06.01

=== debian/changelog ===
papirus-folder-colors (25.06.01) mx; urgency=medium

  * add mxblue inherits
  * add icon for recent
  * fix recolor preview icons

 -- Melber <melber.mx.linux@gmail.com>  Tue, 03 Jun 2025 23:55:01 +0100
 

papirus-folder-colors (24.09.01) mx; urgency=medium

  * update translations
  * include icon in hicolor theme (xfce4-settings-manager display issue)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 06 Sep 2024 18:27:02 -0400

papirus-folder-colors (24.04.01) mx; urgency=medium

  * update translations

 -- Melber <melber.mx.linux@gmail.com>  Sun, 07 Apr 2024 18:55:01 +0100

papirus-folder-colors (24.01.04) mx; urgency=medium

  * fix for repeated entry of empty theme name
  * hide mx-tweak in plasma desktop
  * add progress dialog
  * check for symlinks modified by 'papirus-folder' script
  * update translations
  * update main icon

 -- Melber <melber.mx.linux@gmail.com>  Mon, 29 Jan 2024 22:36:01 +0100

papirus-folder-colors (24.01.03) mx; urgency=medium

  * show papirus-folder-color icon instead of gear icon in xfce-panel
  * make debian/rules file executable
  * remove debian/files build artefact

 -- fehlix <fehlix@mxlinux.org>  Thu, 18 Jan 2024 14:16:47 -0500

## papirus-folder-colors 25.09.01

=== translations/Makefile ===
#!/usr/bin/make -f

PKGNAM := papirus-folder-colors

BUILD  := ././build
PO_DIR := ./po
XDGDIR := ../xdg

LCMSGS := LC_MESSAGES/$(PKGNAM).mo

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

LOCALE := $(addprefix $(BUILD)/locale/,$(addsuffix /$(LCMSGS),$(LINGUAS)))

all: clean locale desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/xdg
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@
	@sed -i 's/\[${PKGNAM}_/\[/' $@

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean locale desktop

=== debian/changelog ===
papirus-folder-colors (25.09.01) mx; urgency=medium

  * yad 14 icon fixes

 -- Melber <melber.mx.linux@gmail.com>  Sun, 21 Sep 2025 22:01:01 +0100

=== debian/control ===
Source: papirus-folder-colors
Section: x11
Priority: optional
Maintainer: Melber <melber.mx.linux@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: <https:/mxlinux.org>

Package: papirus-folder-colors
Architecture: all
Depends: papirus-icon-theme
Description: Create a papirus icon theme with different colored folders

## papirus-folder-colors 26.02.01

=== debian/changelog ===
papirus-folder-colors (26.02.01) mx; urgency=medium

  * create directory ~/.local/share/icons if necessary 

 -- Melber <melber.mx.linux@gmail.com>  Tue, 03 Feb 2026 23:10:01 +0100
 
